Subject: [icnrg] FW: New Version Notification for draft-irtf-icnrg-icn-lte-4g-03.txt

From: "Anil Jangam (anjangam)" <[email-masked]>
Date: Mon, 11 Mar 2019 06:42:17 +0000

Hello All,

We are providing a new revision incorporating the review feedback we received.

Added a comparison w.r.t. ICN implementation in mobile backhaul networks and its relation to the ICNoIP use case. Provided an elaboration about hICN and how it is used in the deployment scenarios (in section 4.2). Provided more discussion about transport convergence layer. Also added some clarification related to the use of ICN in LTE control/signaling plane. Incorporated some of the editorial comments.

Thank you everyone for the review comments and for your helpful feedback!

Thank you,
/anil.

    A new version of I-D, draft-irtf-icnrg-icn-lte-4g-03.txt
    has been successfully submitted by Anil Jangam and posted to the
    IETF repository.
    
    Name:		draft-irtf-icnrg-icn-lte-4g
    Revision:	03
    Title:		Native Deployment of ICN in LTE, 4G Mobile Networks
    Document date:	2019-03-11
    Group:		icnrg
    Pages:		37
    URL:            https://www.ietf.org/internet-drafts/draft-irtf-icnrg-icn-lte-4g-03.txt
    Status:         https://datatracker.ietf.org/doc/draft-irtf-icnrg-icn-lte-4g/
    Htmlized:       https://tools.ietf.org/html/draft-irtf-icnrg-icn-lte-4g-03
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-irtf-icnrg-icn-lte-4g
    Diff:           https://www.ietf.org/rfcdiff?url2=draft-irtf-icnrg-icn-lte-4g-03
    
    Abstract:
       LTE, 4G mobile networks use IP based transport for control plane to
       establish the data session and user plane for actual data delivery.
       In existing architecture, IP transport used in user plane is not
       optimized for data transport, which leads to an inefficient data
       delivery.  IP unicast routing from server to clients is used for
       delivery of multimedia content to User Equipment (UE), where each
       user gets a separate stream.  From bandwidth and routing perspective
       this approach is inefficient.  Multicast and broadcast technologies
       have emerged recently for mobile networks, but their deployments are
       very limited or at an experimental stage due to complex architecture
       and radio spectrum issues.  ICN is a rapidly emerging technology with
       built-in features for efficient multimedia data delivery, however
       majority of the work is focused on fixed networks.  The main focus of
       this draft is on native deployment of ICN in cellular mobile networks
       by using ICN in 3GPP protocol stack.  ICN has an inherent capability
       for multicast, anchorless mobility, security and it is optimized for
       data delivery using local caching at the edge.  The proposed
       approaches in this draft allow ICN to be enabled natively over the
       current LTE stack comprising of PDCP/RLC/MAC/PHY or in a dual stack
       mode (along with IP) help optimize the mobile networks by leveraging
       the inherent benefits of ICN.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat